
addon = CreateFrame("Frame", UIParent)
addon:SetPoint("CENTER", UIParent, 0, -20)
addon:SetSize(200, 200)
addon:SetFrameStrata("BACKGROUND")
addon.tex = addon:CreateTexture()
addon.tex:SetAllPoints(addon)
addon.tex:SetVertexColor(1, 0, 0)
addon.tex:SetBlendMode("BLEND")
addon:RegisterEvent("UNIT_HEALTH")
addon:SetScript("OnEvent", function(self)
  local health = UnitHealth("player")
  local maxHealth = UnitHealthMax("player");
  local percentage = (health/maxHealth) * 100
  if percentage <= 90 and percentage > 80 then
    self.tex:SetTexture("Interface\\AddOns\\cLowHealthWarning\\gearhud1")
    self.tex:SetAlpha(0.5)
    self:Show()
  elseif percentage <= 80 and percentage > 70 then
    self.tex:SetTexture("Interface\\AddOns\\cLowHealthWarning\\gearhud1")
    self.tex:SetAlpha(0.7)
    self:Show()
  elseif percentage <= 70 and percentage > 60 then
    self.tex:SetTexture("Interface\\AddOns\\cLowHealthWarning\\gearhud1")
    self.tex:SetAlpha(0.8)
    self:Show()
  elseif percentage <= 60 and percentage > 50 then
    self.tex:SetTexture("Interface\\AddOns\\cLowHealthWarning\\gearhud2")
    self.tex:SetAlpha(0.7)
    self:Show()
  elseif percentage <= 50 and percentage > 40 then
    self.tex:SetTexture("Interface\\AddOns\\cLowHealthWarning\\gearhud3")
    self.tex:SetAlpha(0.7)
    self:Show()
  elseif percentage <= 40 and percentage > 30 then
    self.tex:SetTexture("Interface\\AddOns\\cLowHealthWarning\\gearhud3")
    self.tex:SetAlpha(0.8)
    self:Show()
  elseif percentage <= 30 and percentage > 20 then
    self.tex:SetTexture("Interface\\AddOns\\cLowHealthWarning\\gearhud3")
    self.tex:SetAlpha(0.9)
    self:Show()
  elseif percentage <= 20 and percentage > 1 then
    self.tex:SetTexture("Interface\\AddOns\\cLowHealthWarning\\gearhud4")
    self.tex:SetAlpha(0.8)
    self:Show()
    PlaySoundFile("Sound\\Interface\\RaidWarning.wav")
  else
    self:Hide()
  end
end)

